Ticket #38566

2バイト文字表示時に属性変更が行われない

Open Date: 2018-09-01 21:13 Last Update: 2018-10-07 05:44

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

環境: Windows10 Home
バージョン: 3.6.1-0.1(osdnでリリースされたもの)

設定ファイルから以下のようにmenucolorsを指定した際、

OPTIONS=menucolors
MENUCOLOR="祝福された|聖水"=lightgreen

例えば3.6.0-0.9で僧侶スタートした場合のインベントリ表示では

(ここから明るい緑にハイライト)a - 祝福された+1 メイス(手にしている)(ここまで)
(ここから明るい緑にハイライト)d - 4つの聖水(ここまで)
だったものが、3.6.1-0.1では
a - 祝福された(ここから明るい緑にハイライト)+1 メイス(手にしている)(ここまで)
d - (ここから明るい緑にハイライト)4つの聖水(ここまで)
のようにハイライト箇所がずれています。

Ticket History (3/7 Histories)

2018-09-01 21:13 Updated by: dplusplus
  • New Ticket "3.6.1-0.1でのmenucolorsハイライト開始位置がおかしい" created
2018-09-01 23:50 Updated by: argrath
  • Owner Update from (None) to argrath
  • Resolution Update from None to Accepted
Comment

確認しました。

先頭の英文字がハイライトされないのは英語版3.6.1での変更点なので、その後のハイライト位置がおかしいのがバグです。

2018-09-02 01:35 Updated by: dplusplus
Comment

マッチする行のハイライト開始位置が0-9、+、A-Zなど半角英数記号部分からとなっているようです。

a - 祝福された陰気な外套(ハイライトなし)
b - 祝福された『(ハイライト開始)ASHPD SODALG』と書かれた巻物(ハイライト終わり)
c - 祝福された(ハイライト開始)hogehogeと呼ばれる巻物(ハイライト終わり)
d - 祝福された魔法のマーカ(ハイライト開始)(0:93)(ハイライト終わり)
2018-09-04 03:47 Updated by: argrath
  • Summary Updated
2018-09-04 23:41 Updated by: argrath
  • Resolution Update from Accepted to Fixed
Comment

2バイト文字全体の問題でした。

60f3bb9で修正しました。

2018-09-05 01:15 Updated by: argrath
2018-10-07 05:44 Updated by: argrath
  • Ticket Close date is changed to 2018-10-07 05:44
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login